| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference

Definition of how to populate a 'slot' in the terrain group. More...

`#include <OgreTerrainGroup.h>`

## Public Member Functions
| TerrainSlotDefinition ()
| ~TerrainSlotDefinition ()
void | freeImportData ()
| Destroy temp import resources. More...
void | useFilename ()
| Set to use file name. More...
void | useImportData ()
| Set to use import data. More...

## Public Attributes
String | filename
| Filename, if this is to be loaded from a file. More...
Terrain::ImportData * | importData
| Import data, if this is to be defined based on importing. More...

## Detailed Description

Definition of how to populate a 'slot' in the terrain group.

## Constructor & Destructor Documentation

## ◆ TerrainSlotDefinition()

Ogre::TerrainGroup::TerrainSlotDefinition::TerrainSlotDefinition | ( |  | ) |
| inline

## ◆ ~TerrainSlotDefinition()

Ogre::TerrainGroup::TerrainSlotDefinition::~TerrainSlotDefinition | ( |  | ) |

## Member Function Documentation

## ◆ useImportData()

void Ogre::TerrainGroup::TerrainSlotDefinition::useImportData | ( |  | ) |

Set to use import data.

## ◆ useFilename()

void Ogre::TerrainGroup::TerrainSlotDefinition::useFilename | ( |  | ) |

Set to use file name.

## ◆ freeImportData()

void Ogre::TerrainGroup::TerrainSlotDefinition::freeImportData | ( |  | ) |

Destroy temp import resources.

## Member Data Documentation

## ◆ filename

String Ogre::TerrainGroup::TerrainSlotDefinition::filename

Filename, if this is to be loaded from a file.

## ◆ importData

Terrain::ImportData* Ogre::TerrainGroup::TerrainSlotDefinition::importData

Import data, if this is to be defined based on importing.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h